/* Header, Footer, Layout 관련 CSS 작성 */
/* Header { */
.header {position: fixed; z-index: 100; top: 0; left: 0; right: 0; background: var(--white-color); transition: 0.3s;}
.header.on {box-shadow: 0 0 20px rgba(0, 0, 0, 0.05);}
.header-inner {display: flex; justify-content: space-between; align-items: center; height: 110px;}
.header-logo {flex: none; font-size: 0; margin-right: auto;}
.header-logo > a {}
.header-logo > a > img {width: 336px;}

.header-gnb {}
.gnb-depth1-ul {display: flex; align-items: center;}
.gnb-depth1-li {width: 180px; text-align: center;}
.gnb-depth1-a {position: relative; display: flex; justify-content: center; align-items: center; height: 110px; font-size: var(--font-22); font-weight: 600; line-height: 1;}
.gnb-depth1-a::after {content: ""; overflow: hidden; display: inline-block; position: absolute; left: 50%; transform: translateX(-50%); bottom: 0; width: 0; height: 3px; background: var(--main-color); border-radius: 999px; transition: .3s;}
.gnb-depth1-a:is(:hover, :active, :focus) {color: var(--main-color);}
.gnb-depth1-a:is(:hover, :active, :focus)::after {width: 100%; background: var(--main-color); border-radius: 0;}

.header-sitemap-btn {display: inline-flex; flex-direction: column; align-items: end; justify-content: center; gap: 7px; background: transparent; border: none; width: 25px; aspect-ratio: 1 / 1;}
.header-sitemap-btn > .bar {position: relative; display: inline-block; width: 25px; height: 3px; background: var(--black-color); transition: .3s;}
.header-sitemap-btn::before, .header-sitemap-btn::after {content: ""; display: inline-block; width: 25px; height: 3px; background: var(--black-color); transition: .3s;}
.header-sitemap-btn:is(:hover, :active, :focus) > .bar {width: 18px;}
.header-sitemap-btn:is(:hover, :active, :focus)::before {width: 22px;}
.header-sitemap-btn:is(:hover, :active, :focus)::before, .header-sitemap-btn:is(:hover, :active, :focus)::after, .header-sitemap-btn:is(:hover, :active, :focus) > .bar {background: var(--main-color);}

.full-menu {display: none; position: fixed; z-index: 99; top: 110px; left: 0; right: 0; background: var(--white-color); border-top: 1px solid var(--line-color); box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);}

.full-menu-depth1-ul {display: flex; align-items: stretch; justify-content: end; padding-left: 336px; padding-right: 25px;}
.full-menu-depth1-li {padding-top: 25px; padding-bottom: 35px; transition: .3s;}
.full-menu-depth1-li:has(a:is(:hover, :active, :focus)) {background: #F7F7F7;}
.full-menu-depth1-a {display: inline-block !important; position: absolute; top: 0; left: 0; width: 0; height: 0; margin: 0 !important; padding: 0 !important; font-size: 0; line-height: 0; border: 0 !important; overflow: hidden !important;}

.full-menu-depth2-ul {}
.full-menu-depth2-li {}
.full-menu-depth2-a {display: flex; justify-content: center; align-items: center; width: 180px; padding: 10px 0; text-align: center; color: var(--gray-color); font-size: var(--font-18); font-weight: 500; line-height: 1;}
.full-menu-depth2-a:is(:hover, :active, :focus) {color: var(--main-color); text-decoration: underline; text-underline-offset: 4px; text-decoration-thickness: 2px;}


.sitemap {display: none; overflow-y: auto; -webkit-overflow-scrolling: touch; position: fixed; z-index: 200; top: 0; left: 0; width: 100vw; height: 100dvh; background: var(--white-color) url("../img/sitemap-logo-bg.png") no-repeat bottom left / auto 302px;}
.sitemap-container {padding: 35px 100px;}
.sitemap-head {position: sticky; z-index: 1; top: 0; display: flex; align-items: center; justify-content: space-between; padding: 40px 0; background-color: var(--white-color);}
.sitemap-head .header-logo {font-size: 0;}
.sitemap-head .header-logo > a {}
.sitemap-head .header-logo > a > img {width: 336px;}
.sitemap-btn {display: inline-flex; align-items: center; justify-content: center; width: 46px; aspect-ratio: 1 / 1; background: transparent; border: none; color: var(--black-color); text-align: center; font-size: 46px; line-height: 1; transition: .3s;}
.sitemap-btn:is(:hover, :active, :focus) {color: var(--main-color);}

.sitemap-wrapper {width: 1420px; max-width: 100%; margin: 0 auto; padding: 50px 0;}

.sitemap-depth1-ul {display: flex; align-items: stretch;}
.sitemap-depth1-li {flex: 1; padding: 20px 0; border-right: 1px solid var(--line-color);}
.sitemap-depth1-li:first-child {border-left: 1px solid var(--line-color);}
.sitemap-depth1-a {position: relative; display: flex; justify-content: center; align-items: center; padding: 30px 0; color: var(--black-color); text-align: center; font-size: var(--font-30); font-weight: 700; line-height: normal; transition: .3s;}
.sitemap-depth1-li:hover .sitemap-depth1-a, .sitemap-depth1-li:has(a:is(:active, :focus)) .sitemap-depth1-a {color: var(--main-color);}
.sitemap-depth1-a::after {content: ""; position: absolute; bottom: 0; left: 50%; transform: translateX(-50%); display: inline-block; width: 8px; aspect-ratio: 1 / 1; border-radius: 999px; background-color: var(--main-color); transition: 0.5s;}
.sitemap-depth1-li:hover .sitemap-depth1-a::after, .sitemap-depth1-li:has(a:is(:active, :focus)) .sitemap-depth1-a::after {bottom: 10px;}

.sitemap-depth2-ul {margin-top: 40px;}
.sitemap-depth2-li {display: flex; justify-content: center; align-items: center; padding: 15px 0;}
.sitemap-depth2-a {position: relative; text-align: center; color: var(--gray-color); font-size: var(--font-22); font-weight: 500; line-height: 1; transition: .3s;}
.sitemap-depth2-a:is(:hover, :active, :focus) {color: var(--main-color);}
.sitemap-depth2-a::after {content: ""; overflow: hidden; position: absolute; bottom: -4px; left: 0; display: inline-block; width: 0; height: 2px; background-color: var(--main-color); transition: .3s;}
.sitemap-depth2-a:is(:hover, :active, :focus)::after {width: 100%;}
/* } Header */

/* Footer { */
.fixed-btn-wrap {position: fixed; right: 2rem; bottom: 2rem; transform: translateY(20px); opacity: 0; visibility: hidden; transition: opacity 0.8s, visibility 0.8s, transform 1s; z-index: 50;}
.fixed-btn-wrap.on {transform: translateY(0); opacity: 1; visibility: visible;}
.fixed-btn {display: flex; align-items: center; justify-content: center; width: 58px; aspect-ratio: 1 / 1; margin-top: 10px; padding: 10px; border-radius: 999px; background-color: var(--white-color); border: 1px solid var(--border-color); line-height: 1; transition: .3s;}
.fixed-btn:is(:hover, :active, :focus) {box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);}
.fixed-btn > i {font-size: var(--font-24);}
.fixed-btn > .txt {font-size: var(--font-14); font-weight: 800; line-height: 135%; text-align: center;}

.fixed-btn.reservation-btn {flex-direction: column; padding-top: 22px; padding-bottom: 22px; background-color: var(--main-color); border: none; color: var(--white-color); transition: .3s;}
.fixed-btn.reservation-btn::before {content: ""; align-items: center; width: 43px; aspect-ratio: 43 / 38; background: url("../img/fixed-reservation-icon.png") no-repeat center center / contain; transition: transform 1.2s cubic-bezier(0.4, 0, 0.2, 1);}
.fixed-btn.reservation-btn:is(:hover, :active, :focus)::before {transform: rotateY(360deg);}

.fixed-btn.top-btn {}
.fixed-btn.top-btn:is(:hover, :active, :focus) > i {animation: bounce-up 0.6s ease-in-out;}

.footer {background-color: #141414; color: #B8B8B8;}
.footer-top {padding: 20px 0; border-bottom: 1px solid #434343;}
.fnb {display: flex; justify-content: start; align-items: center; flex-wrap: wrap; gap: 10px 30px;}
.fnb-li {position: relative;}
.fnb-li ~ .fnb-li::before {content: ""; position: absolute; top: 50%; left: -15px; transform: translateY(-50%); display: inline-block; width: 1px; height: var(--font-16); background-color: var(--white-color); opacity: 0.5;}
.fnb-a {font-weight: 500; line-height: normal;}
.fnb-a.color {color: var(--main-color);}

.footer-bottom {padding: 35px 0 75px;}
.footer-inner {display: flex; align-items: start; justify-content: start; gap: 30px;}
.footer-logo {flex: none; padding: 15px 0; font-size: 0;}
.footer-logo > a {}
.footer-logo > a > img {width: 336px; opacity: 0.4;}

.footer-info {font-size: var(--font-17); font-weight: 400; line-height: 1.47;}
.footer-info-ul {display: flex; gap: 0 10px; flex-wrap: wrap;}
.footer-info-li {position: relative;}
.footer-info-li ~ .footer-info-li {padding-left: 10px;}
.footer-info-li ~ .footer-info-li::before {content: ""; position: absolute; top: 50%; left: 0; transform: translateY(-50%); display: inline-block; width: 1px; height: var(--font-16); background-color: #b8b8b8;}
.footer-info-row {}
/* } Footer */

/* Main Layout { */
#contents_body {min-height: 100vh; padding-top: 110px;}
.main {margin-bottom: 100px;}
.main-section ~ .main-section {margin-top: 70px;}
/* } Main Layout */

/* Sub Layout { */
.sub-menu {background: #F4F4F4; border-top: 1px solid var(--line-color); border-bottom: 1px solid var(--line-color);}
.sub-menu-list {display: flex; align-items: center; justify-content: start;}
.sub-menu-item {position: relative;}
.sub-menu-btn {display: block; position: relative; width: 240px; height: 58px; padding: 5px 20px; padding-right: 40px; background: transparent; border: none; border-right: 1px solid var(--line-color); color: var(--black-color); line-height: normal; font-weight: 500; text-align: left; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; transition: 0.3s;}
.sub-menu-btn:is(:hover, :active, :focus) {background-color: #f0f0f0;}
.sub-menu-btn::after {content: "\EA4E"; font-family: 'remixicon' !important; font-style: normal; -webkit-font-smoothing: antialiased; -moz-osx-font-smoothing: grayscale; position: absolute; top: 50%; right: 20px; transform: translateY(-50%); font-size: var(--font-18); color: var(--gray-color); transition: 0.5s;}
.sub-menu-btn.active::after {transform: translateY(-50%) rotate(-180deg);}
.sub-menu-btn.home {display: flex; justify-content: center; align-items: center; width: 60px; padding: 5px; font-size: 20px; border-left: 1px solid var(--line-color); color: var(--gray-color);}
.sub-menu-btn.home::after {display: none;}
.sub-menu-list-dep2 {display: none; position: absolute; z-index: 1; top: calc(100% + 1px); left: 0; width: 100%; background: #F4F4F4; box-shadow: 0 0 30px rgba(0, 0, 0, 0.05);}
.sub-menu-item-dep2 {}
.sub-menu-link-dep2 {display: flex; align-items: center; justify-content: start; min-height: 50px; padding: 5px 20px; border: 1px solid var(--line-color); border-top: none; font-weight: 400; line-height: normal; transition: 0.3s;}
.sub-menu-link-dep2:is(:hover, :active, :focus) {background: var(--main-color); border-color: var(--main-color); color: var(--white-color);}

.sub-top .wrapper {position: relative; padding: 50px 0 30px; text-align: center;}
.sub-top .wrapper::after {content: ""; position: absolute; top: 100%; left: 50%; transform: translateX(-50%); display: block; width: var(--subtop-width, 0%); height: 3px; background-color: #EEEEEE;}
.sub-dep1-title {color: var(--main-color); font-size: var(--font-18); font-weight: 600; line-height: normal; visibility: hidden; opacity: 0;}
.sub-dep2-title {margin: 15px 0 20px; color: var(--black-color); font-size: var(--font-50); font-weight: 700; line-height: normal; visibility: hidden; opacity: 0;}
.sub-title-desc {color: var(--gray-color); font-size: var(--font-18); font-weight: 400; line-height: 150%; visibility: hidden; opacity: 0;}

.sub-content {margin-top: 50px; margin-bottom: 100px; visibility: hidden; opacity: 0;}
.sub-section ~ .sub-section {margin-top: 50px;}
/* } Sub Layout */

/* 2026-05-14 만족도 조사 추가 { */
.sub-foot {margin-top: 90px; margin-bottom: 90px;}
.satisfaction {border: 1px solid #eee; border-radius: 10px; overflow: hidden;}
.satisfaction-head {background-color: #f5f5f5; padding: 20px 40px;}
.satisfaction-info {display: flex; align-items: center; gap: 40px;}
.satisfaction-info-item {display: flex; align-items: center; gap: 5px; font-size: 17px; color: #000000; position: relative;}
.satisfaction-info-item::before {content: ''; width: 1px; height: 13px; background-color: #ccc; position: absolute; top: 50%; right: -20px; transform: translateY(-50%);}
.satisfaction-info-item:last-child::before {display: none;}
.satisfaction-info-item .t {display: flex; align-items: center; font-weight: 500; gap: 4px;}
.satisfaction-info-item i {font-weight: normal; font-size: 20px;}
.satisfaction-info-item .a {font-weight: 400; color: #666666;}
.satisfaction-caution {padding-top: 13px;}
.satisfaction-caution p {font-weight: 400; font-size: 15px; color: #666666;}
.satisfaction-body {padding: 20px 40px; background-color: #FFFFFF;}
.question {}
.question-item {}
.question-item ~ .question-item {margin-top: 20px;}
.question-ask {font-weight: 400; font-size: 18px; color: #333333;}
.question-ask .pen-text {display: inline-block; position: relative;}
.question-ask .pen-text::before {content: ''; width: 105%; height: 20px; border-radius: 10px; background-color: #A3DACE; position: absolute; bottom: -5px; left: -5px; z-index: -1;}
.question-ans {padding-top: 13px; display: flex; align-items: center; gap: 40px;}
.question-ans .question-input {display: flex; align-items: center; gap: 5px;}
.question-ans .question-input .i-input {border: 1px solid #D9D9D9; border-radius: 3px; height: 40px; width: 430px; min-width: 180px; padding: 0 15px; font-weight: 400; font-size: 16px; color: #000000;}
.question-ans .question-input button[type="submit"] {height: 40px; display: flex; align-items: center; justify-content: center; font-weight: 500; font-size: 16px; background-color: #FFFFFF; border: 1px solid #000000; border-radius: 3px; padding: 0 20px; width: 100px;}

.radio-wrap {display: flex; align-items: center; gap: 10px 20px; flex-wrap: wrap;}
.radio-wrap.center {justify-content: center;}
.radio-item {}
.radio-item input[type=radio] {appearance: none; margin: 0;}
.radio-item input[type=radio] + label {position: relative; font-weight: 400; font-size: 17px; padding-left: 30px; cursor: pointer;}
.radio-item input[type=radio] + label::before {content: ''; width: 22px; height: 22px; border-radius: 50%; border: 1px solid #D9D9D9; position: absolute; top: -2px; left: 0; background-color: var(--white-color);}
.radio-item input[type=radio] + label::after {content: ''; width: 14px; height: 14px; border-radius: 50%; position: absolute; top: 3px; left: 5px; background-color: var(--main-color); opacity: 0;}
.radio-item input[type=radio]:checked + label::before {border-color: var(--main-color);}
.radio-item input[type=radio]:checked + label::after {opacity: 1;}

.radio-item input[type=radio]:focus + label::before {outline: 3px dotted #ff0000;}

@media screen and (max-width:1024px) {
  .satisfaction-head {padding: 20px;}
  .satisfaction-body {padding: 20px;}
  .satisfaction-info-item {font-size: 15px;}
  .satisfaction-info-item i {font-size: 18px;}
  .satisfaction-caution p {line-height: 1.2;}
  .question-ask {font-size: 16px;}
  .question-ans {gap: 10px; flex-direction: column; align-items: flex-start; padding-top: 20px;}
  .question-ans .question-input {width: 100%;}
  .question-ans .question-input .i-input {width: calc(100% - 100px - 5px); font-size: 15px; padding: 0 10px;}

  .radio-wrap {gap: 10px;}
  .radio-item input[type=radio] + label {font-size: 15px; padding-left: 24px;}
  .radio-item input[type=radio] + label::before {width: 18px; height: 18px; top: -1px;}
  .radio-item input[type=radio] + label::after {width: 12px; height: 12px; left: 4px;}
}
@media screen and (max-width:768px) {
  .sub-foot {margin-top: 60px;}
  .satisfaction-info {flex-direction: column; gap: 5px; align-items: flex-start;}
  .satisfaction-info-item {line-height: 1;}
  .satisfaction-info-item::before {display: none;}
  .satisfaction-caution p {font-size: 14px;}
  .question-ask {font-size: 15px;}
  .question-ans .question-input .i-input {font-size: 14px; height: 36px;}
  .question-ans .question-input button[type="submit"] {font-size: 14px; padding: 0 10px; height: 36px;}
}
@media screen and (max-width:425px) {
  .sub-foot {margin-top: 40px;}
  .satisfaction-info-item {font-size: 14px;}
  .satisfaction-info-item i {font-size: 16px;}
  .satisfaction-caution p {font-size: 14px;}
  .question-ask {font-size: 14px;}
  .question-ask .pen-text::before {height: 14px;}
  .question-ans {padding-top: 14px;}
  .question-ans .question-input .i-input {font-size: 13px; padding: 0 8px; height: 32px; width: calc(100% - 75px);}
  .question-ans .question-input button[type="submit"] {width: 70px; font-size: 13px; padding: 0 8px; height: 32px;}

  .radio-item input[type=radio] + label {font-size: 13px; padding-left: 20px;}
  .radio-item input[type=radio] + label::before {width: 15px; height: 15px;}
  .radio-item input[type=radio] + label::after {width: 9px; height: 9px;}
}
/* } 2026-05-14 만족도 조사 추가 */

/* ====================  반응형 ==================== */
@media screen and (max-width:1440px) {
  /* Header { */
  .header-inner {height: 90px;}
  .header-logo > a > img {width: 252px;}

  .gnb-depth1-li {width: 140px;}
  .gnb-depth1-a {height: 90px; font-size: var(--font-20);}

  .header-sitemap-btn {gap: 6px;}

  .full-menu {top: 90px;}

  .full-menu-depth1-ul {padding-left: 252px;}

  .full-menu-depth2-a {width: 140px;}

  .sitemap-container {padding: 35px 3rem;}
  .sitemap-head {padding: 27px 0;}
  .sitemap-head .header-logo > a > img {width: 252px;}

  .sitemap-depth1-a {font-size: var(--font-24);}

  .sitemap-depth2-ul {margin-top: 30px;}
  /* } Header */

  /* Footer { */
  .footer-logo > a > img {width: 252px;}
  /* } Footer */

  /* Main Layout { */
  #contents_body {padding-top: 90px;}
  /* } Main Layout */

  /* Sub Layout { */
  .sub-menu-btn.home {border-left: none;}
  /* } Sub Layout */
}

@media screen and (max-width:1024px) {
  /* Header { */
  .header-gnb {display: none;}

  .sitemap-container {padding: 0 1.5rem 25px;} 
  .sitemap-btn {width: 36px; font-size: 36px;}
  .sitemap-wrapper {padding: 20px 0;}

  .sitemap-depth1-ul {flex-wrap: wrap;}
  .sitemap-depth1-li {flex: 0 1 calc(100% / 3); padding-bottom: 30px;}
  .sitemap-depth1-a {padding: 20px 0; font-size: var(--font-30);}

  .sitemap-depth2-li {padding: 10px 0;}
  /* } Header */

  /* Footer { */
  .fixed-btn-wrap {right: 1.5rem; bottom: 1.5rem;}
  .fixed-btn {width: 50px;}
  .fixed-btn.reservation-btn {padding-top: 19px; padding-bottom: 19px;}
  .fixed-btn.reservation-btn::before {width: 38px;}

  .footer-top {padding: 15px 0;}
  .footer-bottom {padding: 25px 0 60px;}
  /* } Footer */

  /* Main Layout { */
  .main-section ~ .main-section {margin-top: 60px;}
  /* } Main Layout */

  /* Sub Layout { */
  .sub-menu-btn {width: 200px; height: 48px;}
  .sub-menu-btn.home {width: 50px; font-size: 18px;}
  .sub-menu-link-dep2 {min-height: 45px;}

  .sub-top .wrapper {padding: 40px 0 20px;}
  .sub-dep2-title {margin: 10px 0 15px;}

  .sub-content {margin-top: 40px; margin-bottom: 80px;}
  /* } Sub Layout */
}

@media screen and (max-width:768px) {
  /* Header { */
  .header-inner {height: 75px;}
  .full-menu {top: 75px;}

  .sitemap {background-size: 50vw auto;}
  .sitemap-head {padding: 19.5px 0;}
  .sitemap-wrapper {padding: 0;}

  .sitemap-depth1-li {flex: 0 1 100%; padding: 0; padding-bottom: 20px; border-right: none; border-bottom: 1px solid var(--line-color);}
  .sitemap-depth1-li:first-child {border-left: none;}
  .sitemap-depth1-a::after {width: 6px;}

  .sitemap-depth2-ul {margin-top: 10px;}
  /* } Header */

  /* Footer { */
  .fixed-btn > i {font-size: 18px;}

  .fnb {gap: 8px 20px;}
  .fnb-li ~ .fnb-li::before {left: -10px;}

  .footer-inner {display: block;}
  .footer-logo {padding: 0; margin-bottom: 25px;}
  .footer-info-ul {display: block;}
  .footer-info-li ~ .footer-info-li {padding-left: 0;}
  .footer-info-li ~ .footer-info-li::before {display: none;}
  /* } Footer */

  /* Main Layout { */
  #contents_body {min-height: 70vh; padding-top: 75px;}
  .main {margin-bottom: 60px;}
  .main-section ~ .main-section {margin-top: 50px;}
  /* } Main Layout */

  /* Sub Layout { */
  .sub-menu-btn {width: 180px; height: 38px; padding: 5px 10px; padding-right: 30px;}
  .sub-menu-btn::after {right: 10px;}
  .sub-menu-btn.home {width: 40px;}
  .sub-menu-link-dep2 {min-height: 40px; padding: 5px 10px;}

  .sub-top .wrapper {padding: 30px 0 20px;}
  .sub-dep2-title {margin: 10px 0;}

  .sub-content {margin-bottom: 70px;}
  .sub-section ~ .sub-section {margin-top: 40px;}
  /* } Sub Layout */
}

@media screen and (max-width:425px) {
  /* Header { */
  .header-logo > a > img {width: 200px;}
  .sitemap-head {padding: 21.5px 0;}
  .sitemap-head .header-logo > a > img {width: 200px;}
  .sitemap-btn {width: 32px; font-size: 32px;}
  /* } Header */

  /* Footer { */
  .fixed-btn-wrap {right: 1rem; bottom: 1rem;}
  .fixed-btn {width: 45px; padding: 5px;}
  .fixed-btn.reservation-btn {padding-top: 16px; padding-bottom: 16px;}
  .fixed-btn.reservation-btn::before {width: 36px;}
  .footer-logo > a > img {width: 200px;}
  /* } Footer */

  /* Main Layout { */
  .main {margin-bottom: 50px;}
  /* } Main Layout */

  /* Sub Layout { */
  .sub-menu-btn {width: 40vw;}
  .sub-menu-btn.home {display: none;}
  .sub-content {margin-top: 30px;}
  /* } Sub Layout */
}